/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.Inventario;

import com.cosmodas.FacadeCosmos.daoAutoAjusteLocal;
import com.cosmodas.EntCosmos.DetalleAjuste;
import com.cosmodas.EntCosmos.DetalleAjustePK;
import com.cosmodas.EntCosmos.VAutoAjuste;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;

/**
 *
 * @author obper
 */
public class ajustes {

    @EJB
    daoAutoAjusteLocal daoAJ;

    public List<DetalleAjuste> getallList() {
        return daoAJ.allD("01");
    }

    public void salida(String ajusteCodigo, String sucursalCodigo) {

        DetalleAjustePK detpk = new DetalleAjustePK();
        DetalleAjuste det = new DetalleAjuste();
        List<VAutoAjuste> detAj = new ArrayList<VAutoAjuste>();
        detAj = daoAJ.Vsalidas(sucursalCodigo);
        ArrayList<DetalleAjuste> e = new ArrayList<>();

        for (VAutoAjuste deta : detAj) {
            detpk.setAjusteCodigo(ajusteCodigo);
            detpk.setProductoCodigo(deta.getProductoCodigo());
            det.setDetalleAjustePK(detpk);
            det.setDetalleAjusteCantidad(deta.getDetalleAjusteCantidad());
            det.setDetalleAjustePrecio(deta.getDetalleAjustePrecio());
            det.setDetalleAjusteTipo(deta.getDetalleAjusteTipo());
            System.out.println(det);
            daoAJ.addDetalleAjuste(det);

            System.out.println("ajc " + ajusteCodigo);
            System.out.println("suC " + sucursalCodigo);

        }
    }

    public void entrada(String ajusteCodigo, String sucursalCodigo) {

        DetalleAjustePK detpk = new DetalleAjustePK();
        DetalleAjuste det = new DetalleAjuste();
        List<VAutoAjuste> detAj = new ArrayList<VAutoAjuste>();
        detAj = daoAJ.Ventradas(sucursalCodigo);
        ArrayList<DetalleAjuste> e = new ArrayList<>();

        for (VAutoAjuste deta : detAj) {
            detpk.setAjusteCodigo(ajusteCodigo);
            detpk.setProductoCodigo(deta.getProductoCodigo());
            det.setDetalleAjustePK(detpk);
            det.setDetalleAjusteCantidad(deta.getDetalleAjusteCantidad());
            det.setDetalleAjustePrecio(deta.getDetalleAjustePrecio());
            det.setDetalleAjusteTipo(deta.getDetalleAjusteTipo());
            System.out.println(det);
            daoAJ.addDetalleAjuste(det);
        }

    }
}
